> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraw an Account's Consent

Withdraws an Account's consent. This endpoint deletes information
on the account, sets its status to `disabled`, and removes all active Products or Subscriptions for the account.

## Path Parameters

## Body

## Returns

Returns the Account with `status` set to `disabled`.

```bash cURL theme={null}
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/consent \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "withdraw",
    "reason": "holder_withdrew_consent"
}'
```

```javascript Node.js theme={null}
const account = await method.accounts.withdrawConsent('acc_yVf3mkzbhz9tj');
```

```python Python theme={null}
account = method.accounts.withdraw_consent('acc_yVf3mkzbhz9tj', {
  'type': 'withdraw',
  'reason': 'holder_withdrew_consent'
})
```

```json theme={null}
{
  "id": "acc_JmfdTzg9hp3QQ",
  "holder_id": "ent_4hBGhBAmgBDWt",
  "status": "disabled",
  "type": null,
  "ach": null,
  "liability": null,
  "capabilities": [],
  "available_capabilities": [],
  "error": {
    "type": "ACCOUNT_DISABLED",
    "sub_type": "ACCOUNT_CONSENT_WITHDRAWN",
    "code": 11004,
    "message": "Account was disabled due to consent withdrawal."
  },
  "metadata": null,
  "created_at": "2024-04-01T18:48:39.634Z",
  "updated_at": "2024-04-01T18:48:39.695Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.